FANDOM


Your here: .../.../DD-WRT Tutorials/OTRW/OTRW Package Tutorial/Ipkg-opt

Package: ipkg-opt

Version: 0.99.163-10

Depends: uclibc-opt

Status: install user installed

Architecture: mipsel

About
The "ipkg-opt" package is the 'optware' version of ipkg program that comes with DD-WRT. Functionally it has more features than the limited DD-WRT version.

usage: ipkg [options...] sub-command [arguments...]
where sub-command is one of:

Package Manipulation:

update                  Update list of available packages
       upgrade                 Upgrade all installed packages to latest version
       install <pkg>           Download and install <pkg> (and dependencies)
       install <file.ipk>      Install package <file.ipk>
       configure [<pkg>]       Configure unpacked packages
       remove <pkg|regexp>     Remove package <pkg|packages following regexp>
       flag <flag> <pkg> ...   Flag package(s) <pkg>
        <flag>=hold|noprune|user|ok|installed|unpacked (one per invocation)

Informational Commands:

list                    List available packages and descriptions
       list_installed          List all and only the installed packages and description
       files <pkg>             List all files belonging to <pkg>
       search <file|regexp>            Search for a package providing <file>
       info [pkg|regexp]               Display all info for <pkg>
       status [pkg|regexp]             Display all status for <pkg>
       download <pkg>          Download <pkg> to current directory.
       compare_versions <v1> <op> <v2>
                                 compare versions using <= < > >= = << >>
       print_architecture      prints the architecture.
       print_installation_architecture
       whatdepends [-A] [pkgname|pat]+
       whatdependsrec [-A] [pkgname|pat]+
       whatprovides [-A] [pkgname|pat]+
       whatconflicts [-A] [pkgname|pat]+
       whatreplaces [-A] [pkgname|pat]+
                               prints the installation architecture.

Options:

-A                      Query all packages with whatdepends, whatprovides, whatreplaces, whatconflicts
       -V <level>               Set verbosity level to <level>. If no value is
       --verbosity <level>      provided increase verbosity by one. Verbosity levels:
                                0 errors only
                                1 normal messages (default)
                                2 informative messages
                                3 debug output
       -f <conf_file>          Use <conf_file> as the ipkg configuration file
       -conf <conf_file>       Default configuration file location
                               is /opt/etc/ipkg.conf
       -d <dest_name>          Use <dest_name> as the the root directory for
       -dest <dest_name>       package installation, removal, upgrading.
                               <dest_name> should be a defined dest name from
                               the configuration file, (but can also be a
                               directory name in a pinch).
       -o <offline_root>       Use <offline_root> as the root directory for
       -offline <offline_root> offline installation of packages.
       -verbose_wget           more wget messages
       Force Options (use when ipkg is too smart for its own good):
       -force-depends          Make dependency checks warnings instead of errors
                                       Install/remove package in spite of failed dependences
       -force-defaults         Use default options for questions asked by ipkg.
                               (no prompts). Note that this will not prevent
                               package installation scripts from prompting.
       -force-reinstall        Allow ipkg to reinstall a package.
       -force-overwrite        Allow ipkg to overwrite files from another package during an install.
       -force-downgrade        Allow ipkg to downgrade packages.
       -force_space            Install even if there does not seem to be enough space.
       -noaction               No action -- test only
       -nodeps                 Do not follow dependences
       -force-removal-of-dependent-packages
       -recursive              Allow ipkg to remove package and all that depend on it.
       -test                   No action -- test only
       -t                      Specify tmp-dir.
       --tmp-dir               Specify tmp-dir.
regexp could be something like 'pkgname*' '*file*' or similar
       eg: ipkg info 'libstd*'  or ipkg search '*libop*' or ipkg remove 'libncur*'

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.